Get a CRM data source

Prev Next
Get
/v1/SyncRegistry/CrmDataSource/{crmDataSourceId}

Returns the metadata of a specific CRM data source that exists in the Sync Registry Service (SRS) database.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
crmDataSourceId
stringRequired

Unique CRM data source ID to fetch.

ExamplecrmSalesforceProd
Responses
200

Successful request. Returns CRM data source metadata.

404

Not found. A CRM data source with the specified crmDataSourceId could not be found.